diff --git a/LICENSE b/LICENSE
index ef462df47..641be6186 100644
--- a/LICENSE
+++ b/LICENSE
@@ -40,18 +40,8 @@ Public Domain (CC-zero) to simplify reuse
 
   - test-server/*.c
   - test-server/*.h
+  - lwsws/*
   
-4) lwsws (Libwebsocket web server) is a bundled application that is not
-part of the libwebsockets library, it's a separate application that uses
-the library.  The related sources are in a separate directory.  If you don't
-distribute lwsws, you do not need to observe its license.
-
-  - lwsws/lejp.c        - LGPL2.1
-  - lwsws/lejp.h        - LGPL2.1
-  - lwsws/[all else]    -  GPL2.1
-
-
-
                   GNU LESSER GENERAL PUBLIC LICENSE
                        Version 2.1, February 1999
 
diff --git a/lwsws/main.c b/lwsws/main.c
index b428199d1..b4979192b 100644
--- a/lwsws/main.c
+++ b/lwsws/main.c
@@ -3,20 +3,19 @@
  *
  * Copyright (C) 2010-2016 Andy Green <andy@warmcat.com>
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public
- * License as published by the Free Software Foundation:
- * version 2.1 of the License.
+ * This file is made available under the Creative Commons CC0 1.0
+ * Universal Public Domain Dedication.
  *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
+ * The person who associated a work with this deed has dedicated
+ * the work to the public domain by waiving all of his or her rights
+ * to the work worldwide under copyright law, including all related
+ * and neighboring rights, to the extent allowed by law. You can copy,
+ * modify, distribute and perform the work, even for commercial purposes,
+ * all without asking permission.
  *
- * You should have received a copy of the GNU General Public
- * License along with this library; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301  USA
+ * The test apps are intended to be adapted for use in your code, which
+ * may be proprietary.	So unlike the library itself, they are licensed
+ * Public Domain.
  */
 #include "lws_config.h"
 
@@ -151,7 +150,7 @@ int main(int argc, char **argv)
 
 	lws_set_log_level(debug_level, lwsl_emit_syslog);
 
-	lwsl_notice("lwsws libwebsockets web server - license GPL2.1\n");
+	lwsl_notice("lwsws libwebsockets web server - license CC0 + LGPL2.1\n");
 	lwsl_notice("(C) Copyright 2010-2016 Andy Green <andy@warmcat.com>\n");
 
 	cs = config_strings = malloc(LWSWS_CONFIG_STRING_SIZE);
